gdb 8.2 static link version

yuxiao yuxiao100@aliyun.com
Tue Feb 12 14:27:00 GMT 2019


Dear sir:

I found it has created gdb despite the warnings.

thanks

Yu

On 2019/2/12 下午10:23, yuxiao wrote:
> Dear sir:
>
> i tried to build gdb in ubuntu 18.04 static version with below warning 
> message for X86_64. I need to put them in my android phone.
>
> I added all so lib with related .a file. I got some warning message as 
> below and no gdb file create.
>
> how could I solve those warning to produce a gdb exec file ? or there 
> are better ways to make static linked version ?
>
> thanks a lot
>
> Yu
>
> gdb-dlfcn.o: In function `gdb_dlopen(char const*)':
> /home/yuxiao/work/gdb/binutils-gdb/gdb/gdb-dlfcn.c:65: warning: Using 
> 'dlopen' in statically linked applications requires at runtime the 
> shared libraries from the glibc version used for linking
> /usr/lib/gcc/x86_64-linux-gnu/7/../../../x86_64-linux-gnu/libpython2.7.a(posixmodule.o): 
> In function `posix_tmpnam':
> (.text.unlikely+0xff8): warning: the use of `tmpnam_r' is dangerous, 
> better use `mkstemp'
> /usr/lib/gcc/x86_64-linux-gnu/7/../../../x86_64-linux-gnu/libpython2.7.a(posixmodule.o): 
> In function `posix_tempnam':
> (.text.unlikely+0xf02): warning: the use of `tempnam' is dangerous, 
> better use `mkstemp'
> /usr/lib/gcc/x86_64-linux-gnu/7/../../../x86_64-linux-gnu/libpython2.7.a(posixmodule.o): 
> In function `posix_initgroups':
> (.text.unlikely+0x1a75): warning: Using 'initgroups' in statically 
> linked applications requires at runtime the shared libraries from the 
> glibc version used for linking
> /usr/lib/gcc/x86_64-linux-gnu/7/../../../x86_64-linux-gnu/libpython2.7.a(grpmodule.o): 
> In function `grp_getgrall':
> (.text+0xca): warning: Using 'getgrent' in statically linked 
> applications requires at runtime the shared libraries from the glibc 
> version used for linking
> nat/linux-osdata.o: In function `group_from_gid(char*, int, unsigned 
> int) [clone .constprop.46]':
> /home/yuxiao/work/gdb/binutils-gdb/gdb/nat/linux-osdata.c:926: 
> warning: Using 'getgrgid' in statically linked applications requires 
> at runtime the shared libraries from the glibc version used for linking
> /usr/lib/gcc/x86_64-linux-gnu/7/../../../x86_64-linux-gnu/libpython2.7.a(grpmodule.o): 
> In function `grp_getgrnam':
> (.text+0x1e2): warning: Using 'getgrnam' in statically linked 
> applications requires at runtime the shared libraries from the glibc 
> version used for linking
> /usr/lib/gcc/x86_64-linux-gnu/7/../../../x86_64-linux-gnu/libpython2.7.a(grpmodule.o): 
> In function `grp_getgrall':
> (.text+0x9a): warning: Using 'setgrent' in statically linked 
> applications requires at runtime the shared libraries from the glibc 
> version used for linking
> /usr/lib/gcc/x86_64-linux-gnu/7/../../../x86_64-linux-gnu/libpython2.7.a(grpmodule.o): 
> In function `grp_getgrall.cold.0':
> (.text.unlikely+0x24): warning: Using 'endgrent' in statically linked 
> applications requires at runtime the shared libraries from the glibc 
> version used for linking
> ../readline/libreadline.a(complete.o): In function 
> `rl_username_completion_function':
> complete.c:(.text+0x3171): warning: Using 'getpwent' in statically 
> linked applications requires at runtime the shared libraries from the 
> glibc version used for linking
> ../readline/libreadline.a(tilde.o): In function `tilde_expand_word':
> tilde.c:(.text+0x69e): warning: Using 'getpwnam' in statically linked 
> applications requires at runtime the shared libraries from the glibc 
> version used for linking
> nat/linux-osdata.o: In function `user_from_uid(char*, int, unsigned 
> int) [clone .constprop.47]':
> /home/yuxiao/work/gdb/binutils-gdb/gdb/nat/linux-osdata.c:208: 
> warning: Using 'getpwuid' in statically linked applications requires 
> at runtime the shared libraries from the glibc version used for linking
> ../readline/libreadline.a(complete.o): In function 
> `rl_username_completion_function':
> complete.c:(.text+0x3112): warning: Using 'setpwent' in statically 
> linked applications requires at runtime the shared libraries from the 
> glibc version used for linking
> complete.c:(.text+0x3195): warning: Using 'endpwent' in statically 
> linked applications requires at runtime the shared libraries from the 
> glibc version used for linking
> build-gnulib/import/libgnu.a(glob.o): In function `rpl_glob':
> /home/yuxiao/work/gdb/binutils-gdb/gdb/build-gnulib/import/../.././gnulib/import/glob.c:960: 
> warning: Using 'getpwnam_r' in statically linked applications requires 
> at runtime the shared libraries from the glibc version used for linking
> ser-tcp.o: In function `net_open(serial*, char const*)':
> /home/yuxiao/work/gdb/binutils-gdb/gdb/ser-tcp.c:296: warning: Using 
> 'getaddrinfo' in statically linked applications requires at runtime 
> the shared libraries from the glibc version used for linking
> /usr/lib/gcc/x86_64-linux-gnu/7/../../../x86_64-linux-gnu/libpython2.7.a(spwdmodule.o): 
> In function `spwd_getspall':
> (.text.unlikely+0x175): warning: Using 'getspent' in statically linked 
> applications requires at runtime the shared libraries from the glibc 
> version used for linking
> /usr/lib/gcc/x86_64-linux-gnu/7/../../../x86_64-linux-gnu/libpython2.7.a(spwdmodule.o): 
> In function `spwd_getspnam':
> (.text.unlikely+0x219): warning: Using 'getspnam' in statically linked 
> applications requires at runtime the shared libraries from the glibc 
> version used for linking
> /usr/lib/gcc/x86_64-linux-gnu/7/../../../x86_64-linux-gnu/libpython2.7.a(spwdmodule.o): 
> In function `spwd_getspall':
> (.text.unlikely+0x170): warning: Using 'setspent' in statically linked 
> applications requires at runtime the shared libraries from the glibc 
> version used for linking
> (.text.unlikely+0x1c6): warning: Using 'endspent' in statically linked 
> applications requires at runtime the shared libraries from the glibc 
> version used for linking
> /usr/lib/gcc/x86_64-linux-gnu/7/../../../x86_64-linux-gnu/libpython2.7.a(socketmodule.o): 
> In function `socket_gethostbyaddr':
> (.text+0x2c38): warning: Using 'gethostbyaddr_r' in statically linked 
> applications requires at runtime the shared libraries from the glibc 
> version used for linking
> /usr/lib/gcc/x86_64-linux-gnu/7/../../../x86_64-linux-gnu/libpython2.7.a(socketmodule.o): 
> In function `socket_gethostbyname_ex':
> (.text.unlikely+0x246c): warning: Using 'gethostbyname_r' in 
> statically linked applications requires at runtime the shared 
> libraries from the glibc version used for linking
> /usr/lib/gcc/x86_64-linux-gnu/7/../../../x86_64-linux-gnu/libpython2.7.a(socketmodule.o): 
> In function `socket_getprotobyname':
> (.text.unlikely+0x24de): warning: Using 'getprotobyname' in statically 
> linked applications requires at runtime the shared libraries from the 
> glibc version used for linking
> /usr/lib/gcc/x86_64-linux-gnu/7/../../../x86_64-linux-gnu/libpython2.7.a(socketmodule.o): 
> In function `socket_getservbyname':
> (.text.unlikely+0x15a9): warning: Using 'getservbyname' in statically 
> linked applications requires at runtime the shared libraries from the 
> glibc version used for linking
> /usr/lib/gcc/x86_64-linux-gnu/7/../../../x86_64-linux-gnu/libpython2.7.a(socketmodule.o): 
> In function `socket_getservbyport':
> (.text.unlikely+0x165a): warning: Using 'getservbyport' in statically 
> linked applications requires at runtime the shared libraries from the 
> glibc version used for linking
>



More information about the Gdb mailing list